{% extends 'base.html.twig' %}

{% block title %}
    Liste des catégories
{% endblock %}

{% block body %}

	<h1>Liste des catégories :</h1>
	<table class="table">
		{% for cat in categories %}
			<tr>
				<td>{{ cat.id }}</td>
				<td>{{ cat.nom }}</td>
				<td>
					<a class="btn btn-primary" href="{{ path('edit_category', {'id': cat.id}) }}">edit</a>
				</td>
				<td>
					<form method="post" action="{{ path('delete_category', {'id': cat.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
						<input type="hidden" name="_token" value="{{ csrf_token('delete' ~ cat.id) }}">
						<button class="btn btn-primary">Delete</button>
					</form>
				</td>
			</tr>
		{% endfor %}
	</table>
{% endblock %}
